Skip to main content

Get Deployment Run

Retrieves the details of a single Deployment Run by ID.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

GET /deployment_runs/{deployment_run_id}

Path parameters

FieldRequiredTypeDescription
deployment_run_idYesstringDeployment Run ID

Request example

curl -X GET "$AGENTSTUDIO_URL/deployment_runs/drun_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "drun_xxx",
  "type": "deployment_run",
  "deployment_id": "depl_xxx",
  "agent": {
    "id": "agent_xxx",
    "version": 13
  },
  "session_id": "sesn_xxx",
  "trigger_source": "manual",
  "status": "succeeded",
  "error": null,
  "started_at": "2026-07-28T02:00:00Z",
  "finished_at": "2026-07-28T02:03:00Z",
  "request_id": "req_xxx"
}

Response fields

FieldTypeDescription
idstringDeployment Run ID
typestringAlways deployment_run
deployment_idstringAssociated Deployment ID
agentobjectAssociated Agent; contains id and version
session_idstring | nullSession ID; null until the async session creation completes
trigger_sourcestringTrigger source: manual or schedule
statusstringRun status: running, succeeded, or failed
errorobject | nullError info; returned only when the run fails
started_atstringRun start time, ISO 8601
finished_atstring | nullRun end time, ISO 8601; null while running
request_idstringUnique request identifier

Error codes

HTTP statusError codeDescription
400InvalidParameterRequired parameter missing or invalid
401InvalidApiKeyInvalid API key provided
404DEPLOYMENT_RUN_NOT_FOUNDDeployment run not found
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration